This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1476596 - Review Request: dtkwidget - Deepin tool kit widget modules
Review Request: dtkwidget - Deepin tool kit widget modules
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On: 1476595
Blocks: 1419330 DeepinDEPackageReview 1483296 1483298
  Show dependency treegraph
 
Reported: 2017-07-30 11:34 EDT by sensor.wen
Modified: 2017-08-24 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description sensor.wen 2017-07-30 11:34:16 EDT
SPEC: https://raw.githubusercontent.com/FZUG/repo/master/rpms/deepin_project/dtkwidget.spec

Description: Deepin tool kit widget modules

Fedora Account System Username: mosquito
Comment 1 Robin Lee 2017-08-20 09:58:42 EDT
Please update to the latest version (2.0.0)
Comment 3 Robin Lee 2017-08-23 08:01:32 EDT
I don't have time to do the review in recent days. And since it is blocking some other packages, I resign from this review.
Comment 4 sensor.wen 2017-08-24 06:48:36 EDT
Thank you @Robin Lee.

@Robert Could you review it? It is blocking some packages.
Comment 5 Robert-André Mauchin 2017-08-24 08:59:04 EDT
I'm on it.

There's one issue remaining:

Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/dtkwidget/translations, /usr/share/dtkwidget

You must add the %dir macro to own these directories:

%dir %{_datadir}/dtkwidget
%dir %{_datadir}/dtkwidget/translations



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 618 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/dtkwidget/review-dtkwidget/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/dtkwidget/translations,
     /usr/share/dtkwidget
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/dtkwidget/translations, /usr/share/dtkwidget
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/libdtk-2.0
     (dtkwidget-devel, dtkcore-devel, dtkwm-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     dtkwidget-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dtkwidget-2.0.0-1.fc28.x86_64.rpm
          dtkwidget-devel-2.0.0-1.fc28.x86_64.rpm
          dtkwidget-debuginfo-2.0.0-1.fc28.x86_64.rpm
          dtkwidget-2.0.0-1.fc28.src.rpm
dtkwidget.x86_64: W: spelling-error Summary(en_US) Deepin -> Dee pin, Dee-pin, Deepen
dtkwidget.x86_64: W: spelling-error %description -l en_US deepin -> deepen, deep in, deep-in
dtkwidget.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
dtkwidget.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
dtkwidget-devel.x86_64: W: only-non-binary-in-usr-lib
dtkwidget-devel.x86_64: W: no-documentation
dtkwidget.src: W: spelling-error Summary(en_US) Deepin -> Dee pin, Dee-pin, Deepen
dtkwidget.src: W: spelling-error %description -l en_US deepin -> deepen, deep in, deep-in
4 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 6 sensor.wen 2017-08-24 10:49:16 EDT
Diff:  https://github.com/FZUG/repo/commit/77ea8b94c0dbe2664804fd8ecf68c27caae70db0

Thanks, I fixed.
Comment 7 Robert-André Mauchin 2017-08-24 11:28:00 EDT
It's alright then, package accepted.
Comment 8 Gwyn Ciesla 2017-08-24 12:21:19 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/dtkwidget

Note You need to log in before you can comment on or make changes to this bug.